Name:          libXv
Version:       1.0.11
Release:       11
Summary:       library for the X Video extension to the X Window System
License:       MIT
URL:           https://www.x.org
Source0:       https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: autoconf automake libtool xorg-x11-util-macros
BuildRequires: pkgconfig(videoproto) pkgconfig(xext) libX11-devel
Requires:      libX11

%description
Library for the X Video extension to the X Window System.

%package devel
Summary: Development package for libXv
Requires: %{name} = %{version}-%{release}

%description devel
The development package for libXv.

%package_help

%prep
%autosetup -n %{name}-%{version}

%build
autoreconf -v --install --force
%configure
%make_build

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS 
%license COPYING
%{_libdir}/libXv.so.1*

%files devel
%defattr(-,root,root)
%{_libdir}/libXv.so
%{_libdir}/libXv.a
%{_libdir}/pkgconfig/xv.pc
%{_includedir}/X11/extensions/Xvlib.h

%files help
%defattr(-,root,root)
%{_mandir}/man3/*.3*
%doc man/xv-library-v2.2.txt

%changelog
* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.11-11
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Mon Sep 02 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.11-10
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: rebuilt spec, add help package.

* Mon Aug 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.11-9
- Package init
